TokenList (Apache Tomcat 11.0.6 API Documentation)
Description: declaration: package: org.apache.tomcat.util.http.parser, class: TokenList

# Class TokenList

java.lang.Object
org.apache.tomcat.util.http.parser.TokenList

public class TokenList extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `parseTokenList(Reader input, Collection<String> collection)`
  Parses a header of the form 1#token, forcing all parsed values to lower case.
  `static boolean`
  `parseTokenList(Enumeration<String> inputs, Collection<String> collection)`
  Parses an enumeration of header values of the form 1#token, forcing all parsed values to lower case.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parseTokenList

    public static boolean parseTokenList(Enumeration<String> inputs, Collection<String> collection) throws IOException
    Parses an enumeration of header values of the form 1#token, forcing all parsed values to lower case.
    Parameters:
      `inputs` - The headers to parse
      `collection` - The Collection (usually a list or a set) to which the parsed tokens should be added
    Returns:
      `true` if the header values were parsed cleanly and at least one token was found, otherwise `false` (e.g. if a non-token value was encountered)
    Throws:
      `IOException` - If an I/O error occurs reading the header

  - ### parseTokenList

    public static boolean parseTokenList(Reader input, Collection<String> collection) throws IOException
    Parses a header of the form 1#token, forcing all parsed values to lower case.
    Parameters:
      `input` - The header to parse
      `collection` - The Collection (usually a list or a set) to which the parsed tokens should be added
    Returns:
      `true` if the header values were parsed cleanly and at least one token was found, otherwise `false` (e.g. if a non-token value was encountered)
    Throws:
      `IOException` - If an I/O error occurs reading the header